#!/usr/bin/python2.2

import signal
import sys

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)


if "--text" in sys.argv or "-t" in sys.argv:
    import keyboard_tui
    app = keyboard_tui.childWindow()

else:
    try:
        import keyboard_gui
        app = keyboard_gui.childWindow()
        app.stand_alone()
    except:
        #If importing gtk has failed, start the text mode
        import keyboard_tui
        app = keyboard_tui.childWindow()
